import { Store } from "@ngxs/store";
import { Observable } from "rxjs";
import { ActionSheetController } from "ionic-angular";
import { FileBrowserContainerMobileComponent } from "../file-browser-container/file-browser-container-mobile.component";
export declare class FileBrowserActionSheetMobileComponent {
    store: Store;
    actionSheetCtrl: ActionSheetController;
    fileBrowserContainerMobile: FileBrowserContainerMobileComponent;
    constructor(store: Store, actionSheetCtrl: ActionSheetController, fileBrowserContainerMobile: FileBrowserContainerMobileComponent);
    os$: Observable<String>;
    node: number;
    openBtn: {
        icon: string;
        text: string;
        handler: () => void;
    };
    newFolderBtn: {
        icon: string;
        text: string;
        handler: () => void;
    };
    newFileBtn: {
        icon: string;
        text: string;
        handler: () => void;
    };
    renameBtn: {
        icon: string;
        text: string;
        handler: () => void;
    };
    deleteBtn: {
        icon: string;
        text: string;
        handler: () => void;
    };
    presentActionSheet(node: any): void;
    getActionSheetOptions(type: any): any;
}
